Enhancements

This section provides information on installing devices and taking advantage of your computer's high-technology features.

Attaching devices

Upgrading devices

Using a digital camera

Using the Ultrabay(TM) devices

ThinkPad Dock

ThinkPad Port Replicator

Using a PC Card


Attaching devices

You can attach devices to your ThinkPad computer to enhance the usability and flexibility of your computer. The following are examples of devices which you can attach easily:

Attaching a keyboard

Attaching a mouse

Attaching an external monitor

Attaching a printer


Attaching a keyboard

You can attach an external keyboard to your computer, using the keyboard connector of a port replicator or docking station, available as an option.

When the external keyboard is attached, the following are not available:

  • Numeric keypad on the computer keyboard

  • External numeric keypad

Instead, use the numeric keypad on the external keyboard.

Note: If you are using the IBM(R) ThinkPad(R) Space Saver Keyboard, do not install the device driver supplied with the keyboard. The device driver on the computer's utility diskette automatically enables or disables the TrackPoint when the power to the computer is turned on.


Attaching a mouse

If you are using a port replicator or a docking station (either of which is available as an option), you can attach an external mouse to your computer by using the mouse connector of that device.

Note: You can use both the IBM PS/2 Miniature Mouse and the TrackPoint(R) as input devices. To connect a mouse other than an IBM PS/2 Miniature Mouse, refer to Enabling the TrackPoint.


Attaching an external monitor

Your computer can support a maximum video resolution of up to 2048x1536, provided that the monitor also supports that resolution. For more details, refer to the manuals provided with your monitor.

Using the dual display function

Enabling the dual display function

Attaching a television

Using the DVI monitor

To attach an external monitor, do the following:

  1. Turn off the computer.
  2. Connect the external monitor to the external-monitor connector on the rear of the computer; then connect the monitor to an electrical outlet.
  3. Turn on the external monitor and the computer.
  4. Start the ThinkPad(R) Configuration Program.
  5. Change the display output location by clicking the Both LCD and CRT Display button or the CRT Display Only button.

    6. Notes:

  • Do not change the display output location while a moving picture is being drawn--for example, while playing a movie or a game. Stop the application before changing the display output location.

  • If you are attaching an external monitor that supports less than computer display resolution (or, for an UXGA model, less than 1600x1200 resolution), do not click on Both LCD and CRT Display. Doing so would cause the external monitor screen to be scrambled and the output not to be displayed; in addition, it might cause damage to the screen. Use CRT Display Only instead.

    You can also change the display output location by pressing Fn+F7.

To change the display settings, do the following:

  1. Open the Display Properties window.
  2. Click the Settings tab.
  3. Click Advanced...

To change the display setting in the Advanced window, choose a tab. For example, if you want to enable or disable the external monitor, click the Displays tab. For more information, click the help button in the window.

To set your monitor type and display device driver, click the Monitor tab in the Advanced window.

Considerations for attaching an external monitor

  • When installing an operating system, you must install the display driver, supplied with the computer.

  • If you set a resolution higher than XGA mode and use a panel that does not support that resolution, take advantage of the virtual screen function, which enables you to display only a part of the high-resolution screen image your computer produces. You can see other parts of the image by moving the screen with the TrackPoint(R) or other pointing device.

  • If the external monitor you are using is outdated, the resolution and the refresh rate may be limited.

  • For the SXGA+ (1400x1050) model, if "Primary" is set for both the computer display and the external monitor on the Display tab, the physical resolution will be changed to 1280x1024 automatically.


Using the dual display function

Your computer supports a function named dual display in Windows(R) XP. With dual display, you can display output on both the computer display and an external monitor. You can also display different desktop images on each monitor.

Note: The dual display function is also supported in Windows 98 and Windows Me.

You can use the dual display function without changing any settings. If the function does not work, refer to Enabling dual display function to enable it.

Considerations for using a dual display function

  • If you want to show DOS full-screen while in dual display mode, only the primary display becomes DOS full-screen; and the other display is blacked out. To change the primary or secondary display, open the Display Properties window. In the window, you can select the Setting tab, the Advanced... button, and the Displays tab, and reach the window for setting the primary or secondary display. For more details, click the help button in the window.

  • If you play a DVD while using the dual display function, the image is in overlay mode only on the primary display.

  • When an application using the DirectDraw or the Direct3D is played in full-screen mode, it is shown only on the primary display.

  • You cannot use the Fn+F7 (display switching) function when you are in the dual display mode or when you are displaying the image on the television and the computer display simultaneously.


Enabling the dual display function

To enable dual display in Windows(R) XP, do as follows:

  1. Turn off the computer.
  2. Connect the external monitor to the external-monitor connector on the rear of the computer; then connect the monitor to an electrical outlet.
  3. Turn on the external monitor and the computer.
  4. Open the Display Properties window.
  5. Click the Monitor-2 icon.
  6. Select "Extend my Windows desktop onto this monitor" and click Apply. (If the Monitor Settings window opens, click Yes.)
  7. Click the Monitor-1 icon (for the primary display, the computer display).
  8. Select the color depth and the resolution of the primary display.
  9. Click the Monitor-2 icon (for the secondary display, the external display).
  10. Select the color depth and the resolution of the secondary display.
  11. Place the icons for the monitors so that they touch.
    12. Note:You can set the monitors in any relative position, but the icons must touch each other.
  12. Click OK to apply the changes.


Attaching a television

Your ThinkPad(R) computer has the video-out connector. You can connect a television (NTSC or PAL) to your computer and display the computer output on it.

Note: If you are using the docking station or the port replicator, you cannot use the video-out connector.

To display the computer output on television, do the following:

  1. Turn off the computer and the television.
  2. Connect the ThinkPad Video In/Out Conversion Cable, shipped with your computer, to the video-out connector of your computer; then connect the other end of the cable to the RCA video cable.
  1. Connect the other end of the RCA video cable to the television.

Note: If you purchase an S-Video Cable, available in an electronics store, you can connect your computer to a television directly by this cable.

To connect the audio cable to the television, connect one end of it to the headphone jack on the computer; then connect the other end of the cable to the audio-input connectors of your television.

If you use video equipment that has only one audio-input connector, use the left-audio connector of the audio cable.

Considerations for using the Video-out function

  • If you set a high resolution, such as 1280x1024, the computer display shows the whole image and the television shows a virtual image.

  • When you display the image on the television and the computer display simultaneously, you cannot use the Fn+F7 (display switching) function.

  • When the TV is the secondary display or the simultaneous display, the television aspect ratio (screen shape) can cause the edge of the image to be cut off even if you set the smallest resolution.


Using the DVI monitor

If your computer has one of the optional expansion units--a ThinkPad(R) Dock or a ThinkPad Port Replicator--you can use the Digital Video Interface (DVI) monitor through the DVI connector of that unit. To learn what DVI monitor can be used with your computer and expansion unit, refer to the IBM(R) Web site. For access to this Web site, press the ThinkPad button to open the Access ThinkPad panel. On this panel, click On the Web. A list of sites appears; choose the ones you want.

Note: Before you attach the DVI monitor, make sure that the computer is attached to the expansion unit and the system works properly.

To attach the DVI monitor do as follows:

  1. Turn off the computer.
  2. Insert a small flat head screw driver or a similar tool into the slot at the upper left of the cover on the DVI connector, and pry the cover off.
  3. Connect the DVI monitor to the DVI connector on the rear of the expansion unit, and then connect the monitor to an electrical outlet.
  4. Turn on the DVI monitor and the computer. The system starts.

If the computer output does not appear on the DVI monitor, do as follows:

  1. Click Start -> Settings -> Control Panel. (In Windows(R) XP, click Start-->Control Panel.)
  2. Double-click Display. The Display Properties window opens. (In Windows XP, click Appearance and Themes, and then click Display.)
  3. Click the Settings tab.
  4. Click Advanced.
  5. Click the Displays tab. The FPD option opens.
  6. Click the button on the left side of the FPD button. The FPD option is enabled.
  7. Click Apply. The computer output appears on the DVI monitor.

Considerations for attaching a DVI monitor

  • Connect the DVI monitor to the expansion unit, and turn it on, before you turn on the computer. Otherwise the system cannot recognize that the monitor is connected. If the option for enabling the DVI monitor in the Display Properties window does not appear, try closing the window and opening it again. If the option still does not appear, make sure that the connector of the monitor is attached firmly, and repeat the procedure for attaching the monitor.

  • If you want to view a DVD movie on the DVI monitor, the monitor needs to be set as the primary display.

  1. Open the Display Properties window as described in the procedure above. The FPD option opens.

  2. Make sure that the button on it shows Primary. If it does not, click the button to change it to Primary.

  3. Click Apply.

  • You cannot use Fn+F7 to switch between the computer display and the DVI monitor.

  • If you use the screen expansion function, the DVI monitor needs to be set as the primary display.

  1. Open the Display Properties window as described in the procedure above. The FPD option opens.

  2. Click the button that shows FPD. The Attribute tab opens.

  3. Click the Screen expansion button.

  4. Click Apply.

  • The display output does not appear on the DVI monitor during the startup of the system. It appears as soon as the desktop of the system comes up.


Attaching a printer

To attach a local printer to your computer, you can use the parallel connector or the USB connector. If you are connected to a local area network (LAN), you may also be able to use the network to connect to a printer. The printer cable must be compatible with the connector interface.

If you are attaching a printer for the first time, you need to set it up correctly. For example, you must install the proper printer driver. Refer to the manual provided with the printer.


Upgrading devices

You can increase the capacity of the memory or the hard disk drive by replacing the original, built-in device with an optional one. Or, if you need to, you can replace the Mini-PCI Card or the Communication Daughter Card by following the procedures in this section.

Upgrading the hard disk drive

Replacing the Mini-PCI Card

Replacing the Communication Daughter Card (CDC)

Installing the Bluetooth Daughter Card (BDC)

Replacing memory


Upgrading the hard disk drive

You can increase the storage capacity of your computer by replacing the hard disk drive with one of greater capacity. You can purchase a new hard disk drive from your IBM(R) reseller or IBM marketing representative.

Note: Replace the hard disk drive only if you upgrade it or have it repaired. The connectors and bay of the hard disk drive were not designed for frequent changes, or drive swapping.

Attention: Handling a hard disk drive

  • Do not drop the drive or subject it to physical shocks. Put the drive on a material, such as soft cloth, that absorbs the physical shock.

  • Do not apply pressure to the cover of the drive.

  • Do not touch the connector.

The drive is very sensitive. Incorrect handling can cause damage and permanent loss of data on the hard disk. Before removing the hard disk drive, make a backup copy of all the information on the hard disk, and then turn the computer off. Never remove the drive while the system is operating, in standby mode, or in hibernation mode.

To replace the hard disk drive, do the following:

If you want to print this topic or cannot see the animation below, click here.

Before you start, do the following:

  • Turn off the computer; then disconnect the ac adapter and all cables from the computer.

  • Close the computer display, and turn the computer over.

  • Remove the battery.

  1. Remove the screw that secures the hard disk drive.
  2. Remove the hard disk drive by pulling the cover away from the computer.
  3. Detach the cover from the hard disk drive; then attach the cover to a new hard disk drive.
  4. Insert the hard disk drive and its cover into the hard disk drive bay; then firmly install them.
  5. Reinstall the screw.
    6. Note: You can replace the screw with a security screw to prevent the hard disk drive from being removed easily. The security screw may not be included in your ship group. You can, however, purchase the screw directly from NABS at www.nabsnet.com.
    Reinstall the battery.
    Turn the computer over again. Connect the ac adapter and the cables to the computer.


Replacing the Mini-PCI card

Your computer has a Mini-PCI Card slot. If you want to replace the Mini-PCI Card with a new one, follow the procedure below.

Note: If your computer has the wireless feature, a combo Mini-PCI Card that has both the wireless feature and the modem feature is in this slot. In this case, do not replace the Mini-PCI Card with any other type of Mini-PCI Card, such as a modem Mini-PCI Card.

Danger: During electrical storms, do not connect the cable to or disconnect it from the telephone outlet on the wall.

Danger: Electric current from power, telephone, and communication cables is hazardous. To avoid shock hazard, disconnect the cables before opening the cover of this slot.

Note: Use the Mini-PCI Card provided by IBM(R).

Note: If your computer is equipped with an Ethernet card or a modem card, and you want to install a Mini-PCI Card of the same type, remove the old one before installing the new one. Installing more than one card for either of those features causes a system error..

The following drawings are for a modem card that has one connector. Though the connectors in these drawings may be different from the one installed in your computer, the procedure is the same.

To replace the Mini-PCI Card, do as follows:

  1. Turn off the computer; then disconnect the ac adapter and all cables from the computer.
  2. Close the computer display, and turn the computer over.
  3. Remove the battery.
  4. Loosen the screw on the Mini-PCI Card slot cover; then remove the cover.

    5. Illustration: Remove the cover from the Mini-PCI Card slot.

  5. Press out on the latches (1) on both edges of the socket at the same time until the card moves up (2).
    6. Illustration: Press out on the latches on both edges of the socket.
  6. Disconnect the cable from the card (1); then remove the card (2).
    7. Illustration: To remove the card, disconnect the cable.
  7. Connect the cable to the new Mini-PCI Card (1). Align the contact edge of the Mini-PCI Card with the corresponding socket contact of the computer at an angle of about 45 degrees (2). Insert the Mini-PCI Card into the socket.
    8. Illustration: Connect the cable to the new Mini-PCI Card, and insert it into the socket.
  8. Pivot the card until it snaps into place. Make sure that the card is firmly fixed in the slot and does not move easily.
    9. Illustration: Pivot the card until it is fixed firmly in the slot.
  9. Align the tabs of the Mini-PCI Card slot cover with the corresponding slots; then press the cover flat.
  10. Tighten the screw of the cover.
  11. Reinstall the battery.
  12. Turn the computer over again. Connect the ac adapter and cables to the computer; then turn it on.


Replacing the CDC

Replacing the Communication Daughter Card (CDC)

Your computer has two Communication Daughter Card (CDC) slots, in which you can install communication cards, such as Ethernet Daughter Card (EDC) or Modem Daughter Card (MDC).

Danger: During electrical storms, do not connect the cable to or disconnect it from the telephone outlet on the wall.

Danger: Electric current from power, telephone, and communication cables is hazardous. To avoid shock hazard, disconnect the cables before opening the cover of this slot.

Note: If you install an Ethernet or Modem Daughter Card, and your computer is already equipped with the feature, remove the feature before you install the CDC. Installing more than one cards for those features cause the system error.

To remove the CDC, do as follows:

  1. Turn off the computer; then disconnect the ac adapter and all cables from the computer.
  2. Close the computer display, and turn the computer over.
  3. Remove the battery.
  4. Loosen the screws on the cover of the Mini-PCI Card slot; then remove the cover.
  1. Loosen the screws on the CDC; then remove them.
    2. Illustration: Loosen and remove the screws on the CDC.
  2. Remove the card by pulling the tab.
    3. Illustration: Remove the card by moving the tab up.
  3. Turn the CDC over (1); then disconnect the cable from the card by pulling the tab, which is on the connector (2).
    4. Illustration: Turn the CDC over and disconnect the cable from the card.
    Store the card safely for future use.
  4. Make sure that the cables are properly housed in the slot. Align the tabs of the Mini-PCI Card slot cover with the corresponding slot; then press the cover flat.
  5. Tighten the screw of the cover.
    6. Attention: After you replace an CDC, do not use your computer until you have closed the cover. Never use the computer with the cover open.
  6. Put the battery in place.
  7. Turn the computer over again. Connect the ac adapter and cables to the computer; then turn it on.

If you need to install the new CDC, do as follows:

  1. Follow steps 1 to 4 in the above procedures for removing the card.
  2. Connect the cable to the CDC (1). The cable is marked with a triangle. With that triangle toward you, connect the cable to the connector on the underside of the CDC. Then, turn the CDC over (2).
    3. Illustration: Connect the cable to the CDC and turn the card over.
  3. Connect the card to the connector firmly.
    4. Illustration: Connect the card to the connector.
  4. Tighten the screws on the card.
    5. Illustration: Tighten the screws on the card.
  5. Follow steps 8 to 11 in the above procedures for removing the card.


Installing the BDC

Installing the Bluetooth Daughter Card (BDC)

Danger: During electrical storms, do not connect the cable to or disconnect it from the telephone outlet on the wall.

Danger: Electric current from power, telephone, and communication cables is hazardous. To avoid shock hazard, disconnect the cables before opening the cover of this slot.

To install the BDC, do as follows:

  1. Turn off the computer; then disconnect the ac adapter and all cables from the computer.
  2. Close the computer display, and turn the computer over.
  3. Remove the battery.
  4. Loosen the screws on the cover of the Mini-PCI Card slot; then remove the cover.
  5. Remove the screws that are on the blank slot for the BDC.
  6. Find the cable whose tab is marked "BT."
    7. Illustration showing the tab on the cable.
  7. Connect the cable to the BDC (1), making sure that the arrow mark on the connector is on the upper side. Then turn the BDC over (2).
    8. Illustration: connect the cable to the BDC.
  8. Connect the BDC to the connector firmly.
    9. Illustration: Connect the BDC to the connector.
  9. Tighten the screws on the card.
    10. Illustration: Tighten the screws.
  10. Make sure that the cables are properly housed in the slot. Align the tabs of the Mini-PCI Card slot cover with the corresponding slots; then press the cover flat.
  11. Tighten the screw of the cover.
    12. Attention: After you replace an BDC, do not use your computer until you have closed the cover. Never use the computer with the cover open.
  12. Put the battery in place.
  13. Turn the computer over again. Connect the ac adapter and cables to the computer; then turn it on.


Replacing memory

Increasing memory capacity is an effective way to make programs run faster. You can increase the amount of memory in your computer by installing a PC2100 double data rate (DDR) synchronous dynamic random access memory (SDRAM) unbuffered small outline dual inline memory module (SO-DIMM), available as an option, in the memory slot on the bottom of the computer. SO-DIMMs with different capacities are available.

Note: Use only a PC2100 DDR SDRAM unbuffered SO-DIMM in your computer. If you install an SO-DIMM that is not supported by your computer, the computer beeps, and the system does not start. You can purchase the appropriate memory option from your IBM reseller or IBM marketing representative.

To install an SO-DIMM, do the following:

Attention: Before you start installing a module, touch a metal table or a grounded metal object. This action reduces any static electricity from your body. The static electricity could damage the SO-DIMM.

If you want to print this topic or cannot see the animation below, click here.

Before you start, do the following:

  • Turn off the computer; then disconnect the ac adapter and all cables from the computer.

  • Close the computer display, and turn it over as in the animation.

  • Remove the battery.

  1. Loosen the screws on the memory slot cover.
  2. Remove the cover.
    3. If the DIMM is already in the memory slot, remove it to make room for the new one by pressing out on the latches on both edges of the socket at the same time. Be sure to save it for future use.
  3. Find the notch on the side of the SO-DIMM you are installing.
    4. Attention: To avoid damaging the SO-DIMM, do not touch its contact edge.
    With the notched end of the SO-DIMM toward the side of the socket, insert the SO-DIMM, at an angle of about 20 degrees, into the socket; then press it in firmly.
    Pivot the SO-DIMM downward until it snaps into place.
    Make sure that the card is firmly fixed in the slot and cannot be moved easily.
  4. Replace the memory slot cover by aligning the back side of the cover first.
  5. Tighten the screws.
    6. Attention: When you have added or upgraded a memory card, do not use your computer until you have closed the memory slot cover. Never use the computer with the cover open.
    Put the battery back in place, turn the computer over again, and reconnect the cables.

To make sure that the SO-DIMM is installed correctly, do as follows:

  1. Turn the computer on.
  2. While the "Press F1 for IBM BIOS Setup Utility" message is displayed at the lower-left area of the screen, press the F1 key.
    3. The IBM BIOS Setup Utility screen appears. The "Installed memory" item shows the total amount of memory installed in your computer.
    For example, if your computer has 256 MB of memory and you install a 64-MB SO-DIMM in it, the quantity shown in "Installed memory" should be 320 MB.


Replacing memory (printable version)

To print this topic, click the Print button.

To install the SO-DIMM, do the following:

  1. Turn off the computer; then disconnect the ac adapter and all cables from the computer.
  2. Close the computer display, and turn it over.
  3. Remove the battery.
  4. Loosen the screws on the memory slot cover; then remove the cover.

    If the SO-DIMM is already in the memory slot, remove it to make room for the new one by pressing out on the latches on both edges of the socket at the same time. Be sure to save it for future use.

  1. Find the notch on the side of the SO-DIMM you are installing.
    2. Attention: To avoid damaging the SO-DIMM, do not touch its contact edge.
  1. With the notched end of the SO-DIMM toward the side of the socket, insert the SO-DIMM, at an angle of about 20 degrees, into the socket (1); then press it in firmly (2).
  1. Pivot the SO-DIMM downward until it snaps into place.
  2. Make sure that the card is firmly fixed in the slot and cannot be moved easily.
  3. Replace the memory slot cover by aligning the back side of the cover first and then tightening the screws.
    4. Attention: When you have added or upgraded a memory card, do not use your computer until you have closed the memory slot cover. Never use the computer with the cover open.
  4. Put the battery back in place, turn the computer over again, and reconnect the cables.

To make sure that the SO-DIMM is installed correctly, do as follows:

  1. Turn the computer on.
  2. While the "Press F1 for IBM BIOS Setup Utility" message is displayed at the lower-left area of the screen, press the F1 key.
    3. The IBM BIOS Setup Utility screen appears. The "Installed memory" item shows the total amount of memory installed in your computer.
    For example, if your computer has 256 MB of memory and you install a 64-MB SO-DIMM in it, the quantity shown in "Installed memory" should be 320 MB.


Upgrading the hard disk drive (printable version)

Click the print button to print this topic.

  1. Turn off the computer; then disconnect the ac adapter and all cables from the computer.
  2. Close the computer display, and turn the computer over.
  3. Remove the battery pack.
  4. Remove the screw that secures the hard disk drive.

Illustration: Remove the screw.

  1. Remove the hard disk drive by pulling the cover away from the computer.

Illustration: Pull the cover away to remove the drive.

  1. Detach the cover from the hard disk drive.

Illustration: Detach the cover from the drive.

  1. Attach the cover to a new hard disk drive.
  2. Insert the hard disk drive and its cover into the hard disk drive bay; then firmly install them.

Illustration: Make sure that the label on the drive faces to the bottom of the computer.

  1. Reinstall the screw.
    2. Note: You can replace the screw with a security screw to prevent the hard disk drive from being removed easily. The security screw may not be included in your ship group. You can, however, purchase the screw directly from NABS at www.nabsnet.com .
  1. Reinstall the battery pack.
  2. Turn the computer over again. Connect the ac adapter and the cables to the computer.


Replacing the Mini-PCI Card (printable version)

To replace the Mini-PCI Card, do as follows:

  1. Turn off the computer; then disconnect the ac adapter and all cables from the computer.
  2. Close the computer display, and turn the computer over.
  3. Remove the battery.
  4. Loosen the screw on the Mini-PCI Card slot cover; then remove the cover.

  5. Press out on the latches (1) on both edges of the socket at the same time until the card moves up (2).
  6. Disconnect the cable from the card (1); then remove the card (2).
  7. Connect the cable to the new Mini-PCI Card (1). Align the contact edge of the Mini-PCI Card with the corresponding socket contact of the computer at an angle of about 45 degrees (2). Insert the Mini-PCI Card into the socket.
  8. Pivot the card until it snaps into place. Make sure that the card is firmly fixed in the slot and does not move easily.
  9. Align the tabs of the Mini-PCI Card slot cover with the corresponding slots; then press the cover flat.
  10. Tighten the screw of the cover.
  11. Put the battery in place.
  12. Turn the computer over again. Connect the ac adapter and cables to the computer; then turn it on.